Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.converters
[Java] Class AbstractConverter

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.AbstractConverter

All Implemented Interfaces:
  ConfigurableConverter

    public abstract class AbstractConverter
    extends java.lang.Object

Abstract base implementation of the Converter interface that provides a default toString() implementation.

Authors:
  Siegfried Puchbauer
  Graeme Rocher

Field Summary
`protected java.lang.String` | `contentType`
`protected java.lang.String` | `encoding`
`protected java.util.Map` | `excludes`
`protected java.util.Map` | `includes`

Method Summary
`protected org.springframework.beans.BeanWrapper` | `createBeanWrapper(java.lang.Object o)`
`java.util.List` | `getExcludes(java.lang.Class type)` Gets the excludes for the given type
`java.util.List` | `getIncludes(java.lang.Class type)` Gets the includes for the given type
`void` | `setContentType(java.lang.String contentType)` Sets the content type of the converter
`void` | `setEncoding(java.lang.String encoding)` Sets the encoding of the converter
`void` | `setExcludes(java.lang.Class type, java.util.List properties)` Set to exclude properties for the given type
`void` | `setIncludes(java.lang.Class type, java.util.List properties)` Set to include properties for the given type
`void` | `setTarget(java.lang.Object target)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### contentType

    protected java.lang.String contentType

### encoding

    protected java.lang.String encoding

### excludes

    protected java.util.Map excludes

### includes

    protected java.util.Map includes

Method Detail

### createBeanWrapper

    protected org.springframework.beans.BeanWrapper createBeanWrapper(java.lang.Object o)

### getExcludes

    @java.lang.Override
    public java.util.List getExcludes(java.lang.Class type)

  Gets the excludes for the given type
  Parameters:
    `type` - The type
  Returns:
    The excludes

### getIncludes

    @java.lang.Override
    public java.util.List getIncludes(java.lang.Class type)

  Gets the includes for the given type
  Parameters:
    `type` - The type
  Returns:
    The includes

### setContentType

    @java.lang.Override
    public void setContentType(java.lang.String contentType)

  Sets the content type of the converter
  Parameters:
    `contentType` - The content type

### setEncoding

    @java.lang.Override
    public void setEncoding(java.lang.String encoding)

  Sets the encoding of the converter
  Parameters:
    `encoding` - The encoding

### setExcludes

    @java.lang.Override
    public void setExcludes(java.lang.Class type, java.util.List properties)

  Set to exclude properties for the given type
  Parameters:
    `type` - The type
    `properties` - The properties

### setIncludes

    @java.lang.Override
    public void setIncludes(java.lang.Class type, java.util.List properties)

  Set to include properties for the given type
  Parameters:
    `type` - The type
    `properties` - The properties

### setTarget

    public void setTarget(java.lang.Object target)

### toString

    @java.lang.Override
    public java.lang.String toString()

Groovy Documentation